--- CMakeLists.txt	2022-09-11 07:28:37.000000000 +0530
+++ CMakeListsn.txt	2023-02-05 13:56:32.245000000 +0530
@@ -1,4 +1,3 @@
-
 set(LIBNAME uavs3d)
 
 # check cpu
@@ -13,6 +12,8 @@
               " Unexpected pointer size ${CMAKE_SIZEOF_VOID_P} for ${CMAKE_SYSTEM_PROCESSOR}\n")
   endif()
 elseif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "i386" OR
+       "${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "i586" OR
+       "${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "i686" OR
        "${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86")
   set(UAVS3D_TARGET_CPU "x86")
 elseif("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "aarch64")
@@ -104,7 +105,17 @@
 find_package(Threads REQUIRED)
 set(prefix "${CMAKE_INSTALL_PREFIX}")
 set(includedir "include")
+if(${CMAKE_SIZEOF_VOID_P} EQUAL 4)
+set(libdir "lib")
+elseif("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "^arm")
 set(libdir "lib")
+elseif(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
+set(libdir "lib64")
+elseif("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "aarch64")
+set(libdir "lib64")
+else()
+message(FATAL_ERROR " Compiling for wrong architecture in Slackware GNU/Linux \n")
+endif()
 set(pc_file "${CONFIG_DIR}/${LIBNAME}.pc")
 
 set(CMAKE_INSTALL_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/${includedir}")
